#!/usr/bin/env sh

set -e

COMMAND="$1"

# print usage if no command is given
if [ -z "$COMMAND" ]; then
  echo "Usage: $0 <command>"
  echo "Available commands:"
  echo "  backup"
  echo "  restore"
  echo "  init"
  echo "  interactive"
  exit 1
fi

# if command is init
if [ "$COMMAND" = "init" ]; then
  /app/init.sh
  exit 0
fi

. /app/setup.sh

case "$COMMAND" in
  backup)
    # backup
    /app/backup.sh
    ;;
  restore)
    # restore
    /app/restore.sh
    ;;
  interactive)
    # interactive
    /app/interactive.sh
    ;;
  list)
    # list
    /app/list.sh
    ;;
  *)
    echo "Unknown command: $COMMAND"
    exit 1
    ;;
esac
